Page MenuHomePhabricator

Make OOjs UI IconWidget flaggable so icon variants can be used, the way ButtonElement does
Closed, ResolvedPublic1 Story Points

Description

As of T89765: Show warning about privacy/security issues on PDF file pages being resolved we now have an orange warning color available for certain icons. It only is useful with ButtonElements. This should be usable for IconWidgets as well.

Event Timeline

TrevorParscal raised the priority of this task from to Needs Triage.
TrevorParscal updated the task description. (Show Details)
TrevorParscal added a project: OOUI.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 9:34 PM

Change 201466 had a related patch set uploaded (by Bartosz Dziewoński):
IconWidget: Mix in FlaggedElement

https://gerrit.wikimedia.org/r/201466

Jdforrester-WMF closed this task as Resolved.Apr 2 2015, 3:03 PM
Jdforrester-WMF assigned this task to matmarex.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 201466 merged by jenkins-bot:
IconWidget: Mix in FlaggedElement

https://gerrit.wikimedia.org/r/201466

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Apr 29 2015, 9:36 PM